<?php
/**
*
* @category        snippet
* @package         cookieperm
* @author          Ruud Eisinga - www.dev4me.nl
* @link				http://www.dev4me.nl/
* @license         http://www.gnu.org/licenses/gpl.html
* @platform        WebsiteBaker 2.8.x
* @version         0.1.0
* @lastmodified    June 23, 2012
*
*/

/**
	in your template, just after the <body> tag add:
	<?php cookie_permission(); ?>
	use the has_cookie_permission() function to skip loading tracking functions like google analytics.
	<?php if ( has_cookie_permission() ) { ?>
	//google javascript stuff
	<?php } ?>
	
*/

if ( !defined('WB_PATH') ) die (header ('location: ../../index.php') ); 
$cookie_name = "cookie_permission";
$this_page = explode('?',$_SERVER['REQUEST_URI']);
function cookie_permission($show_id = 0, $ask_once = true) {
	global $cookie_name, $this_page;
	if (!is_array($show_id)) $show_id = array($show_id);
	$nopopup = in_array( PAGE_ID , $show_id );
	
	// set cookie if button is clicked
	if (isset($_REQUEST['cookie']) && $_REQUEST['cookie'] == 'ok' ) { // Accepted, set 1st party cookie for 10 years
		$expire=time()+60*60*24*365*10;
		setcookie($cookie_name, "ok", $expire, '/');
		$_COOKIE[$cookie_name] = "ok"; 
		header('Location: '.$this_page[0]);
		return true;
	}
	if (isset($_REQUEST['cookie']) && $_REQUEST['cookie'] == 'no' ) { // Not accepted, set 1st party cookie for 1 day
		$expire=time()+60*60*24;
		setcookie($cookie_name, "no", $expire, '/');
		$_COOKIE[$cookie_name] = "no"; 
		header('Location: '.$this_page[0]);
		return false;
	}
	
	// check cookie for permission
	if(!isset($_COOKIE[$cookie_name]) || ($_COOKIE[$cookie_name] != 'ok' && $ask_once == false)) {
		// if not found, display message asking for permission
		if (!$nopopup) {
			if (file_exists(TEMPLATE_DIR.'/cookie_request.php')) {
				include_once (TEMPLATE_DIR.'/cookie_request.php');
			} else {
				include_once ('ask.html');
			}
		}
		return false;
	} else {
		return ($_COOKIE[$cookie_name] == 'ok');
	}
}

function has_cookie_permission() {
	global $cookie_name;
	if(!isset($_COOKIE[$cookie_name])) {
		return false;
	} else {
		return ($_COOKIE[$cookie_name] == 'ok');
	}
}
if (isset($_GET['cookiereset']) && isset($_COOKIE[$cookie_name])) {
	unset($_COOKIE[$cookie_name]);
    setcookie($cookie_name, NULL, -1); 
}
